### Virtual Method

# Ide SymbolResolver find_references_async

#### Declaration

    void
    find_references_async (
      IdeSymbolResolver* self,
      IdeLocation* location,
      const gchar* language_id,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer user_data
    )

#### Description

No description available.

#### Parameters

`location` | `IdeLocation`
| An `IdeLocation`.
| The data is owned by the caller of the function.
`language_id` | `const gchar*`
| A language identifier or `NULL`.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`cancellable` | `GCancellable`
| A `GCancellable` or `NULL`.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
`callback` | `GAsyncReadyCallback`
| A callback to execute.
`user_data` | `gpointer`
| User data for `callback`.
| The argument can be `NULL`.
| The data is owned by the caller of the function.